Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2403 - Minor netcfg GUI restriction prevents sucess
Summary: Minor netcfg GUI restriction prevents sucess
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netcfg
Version: 5.2
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-28 21:20 UTC by Bryce Nesbitt
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-30 16:09:42 UTC


Attachments (Terms of Use)

Description Bryce Nesbitt 1999-04-28 21:20:47 UTC
I was almost able to use the GUI to set up my radio modem.
The GUI forces the response of "CONNECT" after the "Modem
Dial Command, ATZ".  But my modem dial command is:
    ATSLI SLIP
And produces no result.  First off changing the dial command
seems to fail sometimes.

But more importantly, it would be much more flexible, clean,
and visible to the user, if instead of hiding the first
couple of dial commands , the entire chat script was
editable in the GUI window.  By default, of course, it would
start out with the same default it does now.  It would be no
harder to use than now.


I've also had problems where I use the GUI, save, exit,
restart, and the chat script is DIFFERENT than what I saved.

       -Bryce

Comment 1 Michael K. Johnson 1999-07-30 16:09:59 UTC
We can't really do that and separate the phone number.  I expect
that whole interface to go away, too.  Unfortunately, this answer
is just "sorry, this is a case for editing the chat script by hand".

I agree that this is not the answer I'd like to be able to give,
but it's the best I can do right now...

Comment 2 Anonymous 1999-07-30 16:57:59 UTC
Gee I sure hope you're not replacing it with the confusing,
overwhelming, weird and buggy linuxconf!

I think you could find a way to seperate out the phone number.  One
way is to make ALL the elements of the chat script visible and
editable, just in seperate little boxes.  Then annotate the boxes with
the parameters you expect most people to change.

The fact you're hiding chat script elements is confusing, even to
beginners.  The user can't follow what the GUI is trying to do, and
what happens to the modem does not match what was visible in the GUI.


Note You need to log in before you can comment on or make changes to this bug.